Loading...
Searching...
No Matches
basic_block.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/io_signature.h>`
`#include <gnuradio/logger.h>`
`#include <gnuradio/msg_accepter.h>`
`#include <gnuradio/runtime_types.h>`
`#include <gnuradio/sptr_magic.h>`
`#include <gnuradio/thread/thread.h>`
`#include <boost/thread/condition_variable.hpp>`
`#include <deque>`
`#include <functional>`
`#include <map>`
`#include <string>`
`#include <gnuradio/rpcregisterhelpers.h>`
Include dependency graph for basic_block.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::msg_queue_comparator
class | gr::basic_block
| The abstract base class for all signal processing blocks. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Typedefs

typedef std::vector< basic_block_sptr > | gr::basic_block_vector_t
typedef std::vector< basic_block_sptr >::iterator | gr::basic_block_viter_t

## Functions

bool | gr::operator< (basic_block_sptr lhs, basic_block_sptr rhs)
GR_RUNTIME_API long | gr::basic_block_ncurrently_allocated ()
std::ostream & | gr::operator<< (std::ostream &os, basic_block_sptr basic_block)